メインコンテンツへスキップ
GET
/
crm
/
v3
/
lists
/
{listId}
/
memberships
/
join-order
リストに追加された日付で並べ替えられたリストメンバーシップを取得
curl --request GET \
  --url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/join-order \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/v3/lists/{listId}/memberships/join-order"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/v3/lists/{listId}/memberships/join-order', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": [
    {
      "membershipTimestamp": "2023-11-07T05:31:56Z",
      "recordId": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  },
  "total": 123
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

listId
string
必須

リストのILS ID

クエリパラメータ

after
string

前にリクエストしたレコードの「後」にくるページのページング オフセット トークン。

指定されている場合、レスポンスのレコードがオフセット後のレコードになり、昇順で並べ替えられます。「before」オフセットよりも優先されます。

before
string

前にリクエストしたレコードの「前」にくるページのページング オフセット トークン。

指定されている場合、レスポンスのレコードがオフセット前のレコードになり、降順で並べ替えられます。

limit
integer<int32>
デフォルト:100

レスポンスで返されるレコードの数。「上限」は250件です。

レスポンス

successful operation

results
object[]
必須
paging
object

The cursor to be used for paging through records.

total
integer<int64>

クエリーに一致するレコードの合計数。

最終更新日 2026年4月10日